import axios from "@/utils/request";

export function getBusTypePreResList(params) {
  return axios({
    url: "/spms/busTypePre/filterList",
    method: "get",
    params: params
  });
}

export function getBusTypePreResList2(params) {
  return axios({
    url: "/spms/busTypePre/filterBusTypePreRes",
    method: "get",
    params: params
  });
}

export function getBusTypePreList(params) {
  return axios({
    url: "/spms/busTypePre/filter",
    method: "get",
    params: params
  });
}

export function removeBusTypePre(data) {
  return axios({
    url: "/spms/busTypePre/remove",
    method: "post",
    data: data
  });
}

export function deleteBusTypePre(data) {
  return axios({
    url: "/spms/busTypePre/delete",
    method: "post",
    data: data
  });
}

export function updateBusTypePre(data) {
  return axios({
    url: "/spms/busTypePre/update",
    method: "post",
    data: data
  });
}

export function addBusTypePre(data) {
  return axios({
    url: "/spms/busTypePre/insert",
    method: "post",
    data: data
  });
}
